;
; Calculate the phase of a complex number.
; result = ARG(z)
;
;   z      : a complex number
;   result : phase
;
; Copyright 2022 National Institute for Fusion Science, LABCOM
;
FUNCTION arg, zc
compile_opt idl2, hidden
   s_zc = SIZE(zc)
   s_zc_num=N_ELEMENTS(s_zc)
   zc_type = s_zc(s_zc_num-2)
   result = 0.0d0
   IF ((zc_type EQ 6) OR (zc_type EQ 9)) THEN BEGIN
;
      zc_num = s_zc(s_zc_num-1)
      IF zc_num GT 1 THEN BEGIN
         s_zc(s_zc_num-2) = 5
         result = MAKE_ARRAY(Size = s_zc)
      ENDIF
      r=call_external("libGDLlabcom.so","phase_a",zc,zc_type,zc_num,result)
      IF (r LT 0) THEN Message,'Error: phase_a'
;
   ENDIF
;
   RETURN, result
END
