; Calculate the average value of an array. 
; 
; result = AVG (array [,dim])
;
;   array: ...
;   dim  : (optional) The specific dimension of array that will be averaged. 
;          Must be a number that is in the range 0 <= dim < n, where n is the number of dimensions in array.
;
; Note:
;   TOTAL( array [,dim] )
;        Returns the array sum for the specified dimension.
;
;        array: ...
;        dim  : The dimension over which to sum, starting at one. 
;               If this argument is not present or zero, the scalar sum of all the array elements is returned.
;
; Copyright 2022 National Institute for Fusion Science, LABCOM
;
FUNCTION avg, array, dim
compile_opt idl2, hidden

	IF N_PARAMS() EQ 1 THEN dim=-1 $
	ELSE BEGIN
		IF dim LT 0 THEN Message,'Dimension value is out of bounds.'
	ENDELSE
	dim=dim+1
	aif=size(array)
	if dim eq 0 then begin
		return,(TOTAL(array,dim)/aif(aif(0)+2))
	endif
	return,(TOTAL(array,dim)/aif(dim))
END
