;
; Computes a base, b, logarithm of an array, x, which is equal to the inverse of the function f(x) = b^x.
;
; result = LOG(x, b)
;
;   x      : A vector of positive numbers of any real or complex data type.
;   b      : A positive scalar number, not equal to 1, specifying the base of the logarithm.
;   result : The base, b, logarithm of x.
;
; Copyright 2022 National Institute for Fusion Science, LABCOM
;
FUNCTION log, x, b
compile_opt idl2, hidden
	IF b EQ 1 THEN BEGIN
		message,'Base b must be positive and not equal to 1'
	ENDIF
	return, ALOG(x)/ALOG(b)
END
