;
; Converts input to the nearest integer.
;
; result = NINT(x, /Long, /Floatingpoint)
;
; Note:
;   Result = ROUND(X [, /L64 ] 
;
; Copyright 2022 National Institute for Fusion Science, LABCOM
;
FUNCTION nint, val, Long=opt_l, Floatingpoint=opt_f
compile_opt idl2, hidden
	vt = size(val,/type)
	IF (vt EQ 1 or vt EQ 2 or vt EQ 3 or vt GE 12) THEN return,val
	IF KEYWORD_SET(opt_l) THEN return,round(val)
	IF KEYWORD_SET(opt_f) THEN return,Float(round(val))
	return,Fix(round(val))
END
