;
; Read one line from unit.
; Cut out with comma delimiters.
; Substitute the type-converted value into the array.
;
; Copyright 2022 National Institute for Fusion Science, LABCOM
;
PRO readf_var1, lun, var1
compile_opt idl2, hidden
    itype=size(var1,/type)
    dims=size(var1,/n_dimensions)
    IF 2 NE dims THEN BEGIN
        print, 'Not Support dimensions.'
        return
    ENDIF
    sz=size(var1,/dimensions)
    line=''
    cnt=sz(1)-1
    CASE itype OF
       1: BEGIN
           FOR I=0, cnt DO BEGIN
               readf,lun,line
               var1(*,I)=BYTE(FIX(split_csv_line(line)))
           ENDFOR
       END
       2: BEGIN
           FOR I=0, cnt DO BEGIN
               readf,lun,line
               var1(*,I)=FIX(split_csv_line(line))
           ENDFOR
       END
       3: BEGIN
           FOR I=0, cnt DO BEGIN
               readf,lun,line
               var1(*,I)=LONG(split_csv_line(line))
           ENDFOR
       END
       4: BEGIN
           FOR I=0, cnt DO BEGIN
               readf,lun,line
               var1(*,I)=FLOAT(split_csv_line(line))
           ENDFOR
       END
       5: BEGIN
           FOR I=0, cnt DO BEGIN
               readf,lun,line
               var1(*,I)=DOUBLE(split_csv_line(line))
           ENDFOR
       END
       7: BEGIN
           FOR I=0, cnt DO BEGIN
               readf,lun,line
               subline=split_csv_line(line)
               var1(*,I)=subline
           ENDFOR
       END
       12: BEGIN
           FOR I=0, cnt DO BEGIN
               readf,lun,line
               var1(*,I)=UINT(split_csv_line(line))
           ENDFOR
       END
       13: BEGIN
           FOR I=0, cnt DO BEGIN
               readf,lun,line
               var1(*,I)=ULONG(split_csv_line(line))
           ENDFOR
       END
       14: BEGIN
           FOR I=0, cnt DO BEGIN
               readf,lun,line
               var1(*,I)=LONG64(split_csv_line(line))
           ENDFOR
       END
       15: BEGIN
           FOR I=0, cnt DO BEGIN
               readf,lun,line
               var1(*,I)=ULONG64(split_csv_line(line))
           ENDFOR
       END
       ELSE: BEGIN
           print,'Not support type.'
       END
    ENDCASE
END
