;
; Matches a specified string to an existing regular expression.
;
; result = STRMATCH_a(string, expr ,/Exact)
;
;   string : A string or array of strings to be compared to a regular expression.
;   expr   : A regular expression describing the pattern of matching strings for comparison.
;   /Exact : If nonzero, the string must match the regular expression exactly.
;
;   result : A byte value indicating the success(1) or failure(0) of the match. 
;
; Note:
;   It does not fully support the PV-WAVE version specifications.
;
; Copyright 2022 National Institute for Fusion Science, LABCOM
; PV-WAVE is a registered trademark of Perforce Software, Inc.
;
FUNCTION strmatch_a, src_strings, comp_expr , Exact=exa
compile_opt idl2, hidden
	IF KEYWORD_SET(exa) THEN BEGIN
		tmp_expr='^'+comp_expr+'$'
		return, stregex(src_strings, tmp_expr, /BOOLEAN)
	END
	return, stregex(src_strings, comp_expr, /BOOLEAN)
END
