;
; Returns a date/time variable containing the current system date and time.
;
;   result = TODAY()
;
; Note:
;   JULIAN value is different from PV-WAVE
;   In PV-WAVE, the number of days calculated from September 14, 1752. 
;  The decimal part contains the time as a fraction of a day.
;  The tag name is !DT.
;
; Copyright 2022 National Institute for Fusion Science, LABCOM
; PV-WAVE is a registered trademark of Perforce Software, Inc.
;
FUNCTION today
compile_opt idl2, hidden
	tmp={dt, YEAR:0, MONTH:0b, DAY:0b, HOUR:0b, MINUTE:0b, SECOND:0.0, JULIAN:0D, RECALC:0b}
	ju=systime(/julian)
	caldat, ju, mm,dd,yyyy, ho, mi, se

	tmp.YEAR   = fix(yyyy)
	tmp.MONTH  = byte(mm)
	tmp.DAY    = byte(dd)
	tmp.HOUR   = byte(ho)
	tmp.MINUTE = byte(mi)
	tmp.SECOND = float(se)
	tmp.JULIAN = ju 

	return,tmp
END
